SmartPurger

SmartPurger 2.8 by JTB WORLD

[ Using SmartPurger ] [ Settings ] [ Miscellaneous tips & trix ] [ Test ] [ Registration ] [ License agreement ] [ Revision history ] [ Known Issues ] [ Contact ]

Introduction

SmartPurger is a batch processing utility that allows you to purge multiple drawings as well as run script or lisp files. The file time stamp can be restored. SmartPurger handles crashes and corrupt drawings so the batch continues with all drawings and leaves corrupted drawings as they are.

SmartPurger is for example useful if you want to minimize the size of files before a backup or before sending drawings by e-mail, burning to CD or just to use as an easy previewer of drawings. You can even save the files to a separate folder or to a different drawing version.

You can also set up SmartPurger to run different AutoCAD applications for different drawing file versions. Moreover you can specify the profile to be used when starting AutoCAD.

Installation

To keep the download size of the installation package it does not contain two parts that most PC's already have installed.

SmartPurger requires VB6.0 Runtimes from Microsoft. You will notice this if the program doesn't start as it should. They can be downloaded from www.microsoft.com but most computers already have it installed.
The help file requires HTML Help. If not installed (i.e. if you cannot open the Help file) and you run Windows 9x or Windows NT, download HTML Help Update Package from www.microsoft.com

Installation on Windows Vista

Disable User Account Control (UAC). Restart the computer.
Download and install Msvbvm50.exe from http://support.microsoft.com/kb/180071
Right click on SmartPurger setup.exe and select Run as Administrator
Enable UAC.

Installation on Windows 7

Install as administrator

Copyright © 2001-2009 by JTB WORLD


Settings

[ Start ] [ Using SmartPurger ] [ Settings ] [ Miscellaneous tips & trix ] [ Test ] [ Registration ] [ License agreement ] [ Revision history ] [ Known Issues ] [ Contact ]

The settings are saved in the registry, so you don’t have to change them again the next time you run SmartPurger.

Restore button – Restores the settings to the default settings. This also includes the windows settings for the main SmartPurger window and the column widths and positions of the listview.

General tab

AutoCAD application:

This combo box lists all installed AutoCAD applications. The default value is the application that is associated for the moment to the DWG-files. If you change the application it will also re-associate the DWG-files. Let's say you run Architectural Desktop the last time but you want to run the script with AutoCAD 2002 there's no problem.

Profile:

This combo box lists the active profile for the active AutoCAD application. And if you want to change it you just selects another one.

Include subfolders:

Works with the icon for adding folders and makes it possible to include subfolders in the file search.

Include files with Archive file attribute:

By having this one not selected the number of files can be drastically reduced if done before a backup. This way if you regularly use SmartPurger it might be a good choice. But remember to have it selected the first time you run to include all files.

Add drawing version to the list:

If you chose to have this checked it will take a longer time to add many files to the file list. But if you select a drawing in the list the version is always showed.

Script timeout per drawing (seconds):

Timeout for processing each drawing can be set. This makes it possible to let the scripting continue if something goes wrong with any of the drawings in the list. If you have large drawings or it takes long time to purge them you might want to increase this value. If the drawing is not finished purged within the timeout limit AutoCAD will be shut down and the next drawing purged.

Run Audit on all drawings:

Run Audit on all drawings to ensure the quality of them. It is the standard AutoCAD command Audit that is run.

Zoom extents Force:

Many likes to zoom the drawings to extents before saving. And it's possible by selecting this checkbox.

PSPACE to avoid zoom extents in a viewport:

If you zoom extents in paperspace and have a viewport in modelspace you might loose your zoom settings if the viewport is not locked. This can be avoided by this option.

Run with SmartPurger on top of other applications:

This explains itself I hope.

Include DXF files:

This filter makes it possible to also run DXF files. Some non standard formatted DXF's are not version identified but might be run anyway. The version is set to "DXF?". Until anyone wants it (just send an e-mail to info@jtbworld.com) the DXF are saved to the closest matched DWG version.

Script/lisp file:

A script file can be loaded and executed as the last thing SmartPurger does before saving and quitting. Since a AutoCAD is started with a script by SmartPurger the main script will be stopped by the custom script that you have added. Therefore you have to add for example QSAVE and QUIT at the end of your script file. The functionality in SmartPurger to save the file to a specific version is lost if script files are used. AutoCAD LT only supports script files. Script files has the SCR extension.

Full/vanilla AutoCAD supports LISP files (extension LSP, FAS or VLX). The lisp file will be loaded just before SmartPurger saves the drawing.

Purge tab

Always know what you do when you purge drawings. If you are not sure make sure to take backups of drawings before.

The Purge options in the left column are standard AutoCAD commands that are run using the -PURGE command.

Number of times to purge:

Enter a number between 0 and 5 for the number of times you want to purge each drawing. This is to allow for purging nested objects.

Purge All

Purge all Blocks

Purge all Dimension styles

Purge all Layers

Purge all Linetypes

Purge all Materials (Works only for AutoCAD 2007 with verticals or later)

Purge all Mline styles

Purge all Regapps (Works only for AutoCAD 2005 with verticals or later)

Purge all Shapes

Purge all Table styles (Works only for AutoCAD 2005 with verticals or later)

Purge all Text styles

The following options will only be used if AutoCAD 2000+ is used or any of its verticals.

Purge all Visual styles (Works only for AutoCAD 2007 with verticals or later)

Purge all Plot styles

Delete all Page Setups

Delete all Filter states

Delete all Layer states

Delete all Layer manager states (Express Tools)

Delete all Line objects without length

Delete all Text objects without text

Delete all embedded VBA code

Be very careful when using this settings because some applications using the drawing might malfunction.

DWG files can have embedded VBA (Visual Basic for Applications) code and is deleted using this option.

Purge all registered applications collection

Be extremely careful when using this settings because some applications using the drawing might malfunction.

Applications made by Autodesk or 3:rd party developers might create registered application collections. Much of the intelligence of many objects will be lost.

Extended data is grouped by registered application name. Registered application names correspond to APPID symbol table entries. An application can use as many APPID names as needed. APPID names are permanent, although they can be purged if they aren't currently used in the drawing.

Make sure to take backups of drawings before using this option.

Purge all Anonymous Groups

Purge all Groups

This includes anonymous groups.

Purge all named object dictionaries (WARNING)

Be extremely careful when using this settings because some applications using the drawing might malfunction.

Applications made by Autodesk or 3:rd party developers might create named object dictionaries. For example this will mess with drawings made in ADT. ADT styles, display configurations and a lot more will be deleted even if they are used! Much of the intelligence of many objects will be lost.

Embedded VBA code will also be deleted using this option. NOD: ACAD_VBA

This will remove references that holds materials attached by AutoCAD Color Index used by RMAT even if it's used. NOD: AVE_ACITABLE

AutoCAD 2005 features like table styles will be purged. A drawing's relation to a Sheet Set will be removed.

Even images in the drawings will be destroyed!!!

Make sure to take backups of drawings before using this option.

Purge Regapps using ASDKCleanRegAppARX.arx (2004-2008)

Be extremely careful when using this settings because some applications using the drawing might malfunction.

Applications made by Autodesk or 3:rd party developers might create registered application collections. Much of the intelligence of many objects can be lost.

Make sure to take backups of drawings before using this option.

Extended data is grouped by registered application name. Registered application names correspond to APPID symbol table entries. An application can use as many APPID names as needed. APPID names are permanent, although they can be purged if they aren't currently used in the drawing.

SaveAs tab

Create backup files for each save

If checked ISAVEBAK is set to 1 when the script is run. It is restored after the script is ended. If SmartPurger crashes you might have to restore this setting manually.

Restore date and time

This option makes it possible to restore the date and time of the file to what it was before the scripting.

Convert R12 or older, R13, R14, 2000, 2004, 2007, 2010

The following options are available

"Don't convert format" : If the file is R12 or older and you run AutoCAD r14 the file is saved as R12 format. But if you run AutoCAD 2000 or newer it cannot save to R12 so it saves to R13 format instead.
"AutoCAD R2010 DWG" : Files are saved in 2010 format.
"AutoCAD R2007 DWG" : Files are saved in 2007 format.
"AutoCAD R2004 DWG" : Files are saved in 2004 format.
"AutoCAD R2000 DWG" : Files are saved in 2000 format.
"AutoCAD R14/LT98/LT97 DWG" : Files are saved in R14 format.
"AutoCAD R13/LT95 DWG" : Files are saved in R13 format.
"AutoCAD R12/LT2 DWG" : This option is only possible if you run AutoCAD r14. Otherwise the file is saved in R13 format.
"Don't save" : This option makes it possible to chose not to script files of a certain version.

Overrides general setting if selected:

Select first an AutoCAD application, then you have the option to chose a profile.

It can be used if you want for example AutoCAD r14 to run R14-files and ADT 3.3 to run 2000-files.

Save to this folder:

Check the box if you want the drawings to be saved into the folder in the box to the right. If not checked the drawing is saved over the existing drawing. To get a folder click on the button with three dots or just enter the path manually.

Delete tab

Delete only files older than [10] days

Specify number of days. Could be set to 0 to even delete today's files. The following extensions can be searched and deleted at the beginning of the scripting. Observe that you have to use "Add Folders Only" to use this option since it will only search in the folders and the subfolders added this way.

*.BAK – If checked the AutoCAD Backup Drawings are deleted before scripting.

*.BK? – If checked the AutoCAD Backup Drawings (like BK1, BK2) are deleted before scripting.

*.SV$ – If checked the AutoCAD Autosave Drawings are deleted before scripting.

*.$$$ – If checked the AutoCAD Emergency Backup Drawings are deleted before scripting.

*.AC$ – If checked the AutoCAD Temporary Files are deleted before scripting.

*.DMP – If checked the AutoCAD Error Dump Files are deleted before scripting.

*.ERR – If checked the AutoCAD Error Files are deleted before scripting.

*.XLG – If checked the AutoCAD XREF Log Files are deleted before scripting.

*.DWL - If checked the this lock file is deleted before scripting.

*.DWK - If checked the this lock file is deleted before scripting.

PLOT.LOG - If checked the this plot log file is deleted before scripting.

Shortcut

Create or delete shortcut to SmartPurger in Explorer when right clicking on drawing (DWG) files.

This way you can start SmartPurger by selecting one or many drawing files in Windows Explorer, right click and select SmartPurger.

Useful when you want quick access to SmartPurger.

When SmartPurger is installed for the first time there is no shortcut created.

If you have different versions of AutoCAD the shortcut is saved to the active AutoCAD version. That means if you want it also for other versions you have to first start that version and then repeat the procedure of creating a shortcut.

Variables

These are system variables that are used by AutoCAD but can be controlled using SmartPurger.

AutoCAD LT is not supported for this.

INDEXCTL

Controls whether layer and spatial indexes are created and saved in drawing files.
Saved in each drawing by AutoCAD.

Don't change

0 - No indexes are created

1 - Layer index is created

2 - Spatial index is created

3 - Layer and spatial indexes are created

Without indexes will make the smallest files but the performance can be ten-fold if the indexes are used depending on the drawings and how they are used.

ISAVEPERCENT

Determines the amount of wasted space tolerated in a drawing file. The value of ISAVEPERCENT is an integer between 0 and 100. The default value of 50 means that the estimate of wasted space within the file does not exceed 50 percent of the total file size. Wasted space is eliminated by periodic full saves. When the estimate exceeds 50 percent, the next save will be a full save. This resets the wasted space estimate to 0. If ISAVEPERCENT is set to 0, every save is a full save.
Saved in the registry by AutoCAD.

Don't change

0-100

For optimal size set ISAVEPERCENT=0

PROXYGRAPHICS

Specifies whether images of proxy objects are saved in the drawing.
Saved in each drawing by AutoCAD.

Don't change
0 - Does not save image with the drawing; a bounding box is displayed instead
1 - Saves image with the drawing

Having PROXYGRAPHICS=1 will make some files much larger then having it set to 0. ADT drawings are one example of drawings that will be very large having it set to 1.

RASTERPREVIEW

Controls whether BMP preview images are saved with the drawing.
Saved in the registry by AutoCAD.

Don't change
0 - No preview image is created
1 - Preview image created

The Preview image is adding some kb to the drawing size.


Revision history

Miscellaneous tips & trix

The first time you run SmartPurger it's recommended that you only try a few drawings to see it works in your environment.Use also the feature to save the purged drawing to an alternate folder.

Observe that the first time you run SmartPurger you should go to the settings and change the values as you want to have it.

By preparing a special profile and run SmartPurger with that one. That profile might not load as many menus as the one you usually have. For example if you have ADT, makes a profile that doesn't load ADT menus.

If you only want to safely save older drawings to 2000 format or any other you can do it. This is useful if the drawings are missing the preview icon. If you don't want to purge them you don't have to.

The main form can be resized to your need. The size is retained when you restart the program.

Preview of a drawing is done by selecting a file in the file list. The AutoCAD version is also showed in the drawing list.

To sort the list click on one of the column headers in the file list. If you click on the header a second time it changes from ascending to descending.

Resizing of the column is possible by dragging between two column headers.

You can drag on the column header to move a column.

To select more than one file in the file list use Shift or Ctrl.

To select all files in the file list press Ctrl+A.

Files that are read only or opened and locked by any AutoCAD session are not processed.

Really corrupted files are not processed, they are skipped.

If SmartPurger is minimized AutoCAD will also run minimized. But notice that this disables the automatic closing of some dialog boxes that might result in a timeout.

If you want to filter out what drawings to run you can use the search function in Explorer and then drag and drop the drawings into SmartPurger.

Why does SmartPurger not make the drawings smaller? A 4kB drawing is now 26 kB! That could be because the old file was in another version and or it didn't contain the preview picture. Otherwise you might notice that a file of 100kB goes down to 75kB or something else depending on how well it was purged before.

The BAK files are not deleted even if I selected the settings on the Delete tab to delete BAK files. The deletion happens before any DWG's are processed and if the setting on the tab SaveAs is set for "Create backup files for each save" a new BAK file will be created.

Have you got any pf these pop up message when opening a drawing?
This application has detected a mixed version of AEC objects
participating in this operation.

Newer AEC objects will be dissalowed from participating in this operation

or

This application has detected objects from a newer version
in this drawing.

Some commands will not be available.

Save this drawing from the original application as AutoCAD 2000 format
either with AEC objects exploded, or with ProxyGraphics turned on,
and attach it as an Xref in order to use it as a background.

or

ARX ERROR: eDuplicateKey

This might be because you have used ADT 2004 when working on the drawing. If this was unintentional you can remove references that triggers this by using the "Purge all named object dictionaries" option. But be aware that this might make the drawing malfunctioning. Use with caution.

Make sure you have the latest version. Always available at www.jtbworld.com


Test

Tests

SmartPurger has been tested with the following applications, but should work on all verticals based on AutoCAD:

AutoCAD r14
AutoCAD 2000
AutoCAD 2000i
AutoCAD 2002
AutoCAD 2004
AutoCAD 2005
AutoCAD 2006
AutoCAD 2007
AutoCAD 2008
AutoCAD 2009
AutoCAD 2010
ADT 2.0
ADT 3.0
ADT 3.3
ADT 2004
ADT 2005
ADT 2006
ADT 2007
ACA 2008
ACA 2009
ACA 2010
MDT 4
MDT 5
MDT 6
AutoCAD LT 97
AutoCAD LT 98
AutoCAD LT 2000
AutoCAD LT 2002
AutoCAD LT 2004
AutoCAD LT 2005
AutoCAD LT 2006
AutoCAD LT 2007
AutoCAD LT 2008
AutoCAD LT 2009
AutoCAD LT 2010

And the following operating systems (same as AutoCAD):

Windows 95/98/ME
Windows NT
Windows 2000
Windows XP
Windows Vista
Windows 7

5000 drawings where purged with SmartPurger at an average speed of 8 drawings/minute on a PC with 800MHz, 256MB RAM and the files where on a server. This was with AutoCAD 2002. The speed much depends on what version of AutoCAD is used and also if there are any other applications started by AutoCAD at startup. By purging the drawing the size where drastically reduced.

More than 50000 drawings has been purged on one run without problems.


Using SmartPurger

First run

Make sure to open the settings dialog box and select the wanted settings. Make sure that you understand what you do when you purge and what you purge.

Depending on how many files you will run you have several options. But the first time it's recommended to try a few drawings that you have made copies of. You can also direct the save files to a temporary location.

Make sure that you read this documentation too.

The Information field show information about the active application, profile, file size, file numbers and time.

Drawing list

Filename - DWG or DXF file name.

Path - Path for the drawing.

Version - File version:2010, 2007, 2004, 2000, 14, 13, 11/12, 10, 9, 2.6, 2.5 or ??? if the version is not recognized. If it's a folder it shows FOLDER.

Status - OK, Skipped, Access Denied, ReadOnly, Timeouted, "Error: Could not open file" or Skip for files not to be scripted.

The status "Error: Could not open file" might indicate that the drawing has to be recovered.

Timeout can happen if digital signatures are attached to the drawing or if the purge process takes longer than the timeout limit.

Size before - size in kb.

Size after - size in kb.

Date before - modified time stamp for the file before the drawing is scripted.

Date after - modified time stamp for the file after the drawing is scripted.

The image below shows how drawings in 2000 format has been saved into 2004 format and the total size was going down from 13065 KB to 6856 KB using AutoCAD 2004. The date on the files has been retained.

Icons

This adds only a folder. The files are first extracted when you start the script. This one should primarily be used when you want to script really many files. This one give you also the option to delete several files in all folders found, the files that are deleted are selected in the settings menu.

This is to add all the drawing files within a folder or driver. It works recursively. The last folder chosen is used the next time as default.

This is to add drawing files to the list. The last folder chosen is used the next time as default.

Drawing files can be dragged and dropped from the Windows Explorer to SmartPurger filelist. If folders are selected you’ll get a question if you want to include folders and subfolders.

Here you start the script.

This removes selected files from the list. You can also press Delete on the keyboard.

This opens a dialog box with different settings. You have to open the settings dialog box before the first time you ever run SmartPurger if you would like to Purge.

Use the timer to start the script at a time in format YYYY-MM-DD HH:MM.

A long scripting, a long file search or the timer can be stopped by pressing Esc on the keyboard or the STOP button. The last running drawing is finished.

Menus

File>Add Folders Only

File>Add Folders

File>Add Drawings

File>Connect Network Disk – Opens a dialog box and is self-instructing.

File>Disconnect Network Disk – Opens a dialog box and is self-instructing.

File>Exit – Exits from SmartPurger

Options>Settings

Options>Export List to Log File

Help>Help – Opens the SmartPurger help file.

Help>About – Opens a dialog box with information about the software and versions. To move this software to another PC you first have to unregister here.

Right click menu (works within the drawing list view)

Add drawings... - Add more drawing to the list view

Remove - Remove selected drawing from the list view

Reset Status - Reset the status for selected drawing

Set Status to Skip - Set the status for selected drawings to "Skip"

Select All - Select all drawings

Clear All - Clear all selections

Export list to log file - This saves a tabulated log file with the information from the list. This text file can easily be opened from Excel or in a text editor like Notepad.

File Properties - Open Windows File Properties for the selected drawing

Explore - Open Windows Explorer at the folder location of the selected drawing

Start AutoCAD - Start the selected drawing with AutoCAD


Registration

Demo or test

When you start SmartPurger for the first time you will see this dialog box.

In demo mode you can only run 3 drawings at a time.

Register

To register the software must first be purchased. This can be done online from www.jtbworld.com or direct bank transfer if you're located in Sweden. Please contact for pricing, especially if you want to purchase more than one license.

The License will be emailed automatically when the purchase is finished.

If you click on Register you will see this Registration dialog box. The License Key is to be entered then followed by a hit on the Register button.

Unregister

To unregister and move the program to another PC go to Help>About and click on Unregister.


Contact

JTB WORLD shareware license agreement

Copyright © 2001-2009 by JTB WORLD

1. Introduction. This agreement explains when and how you may use registered copies of software products from JTB WORLD. In this agreement:

. "Product" means the JTB WORLD product(s)you have purchased or obtained for evaluation, including both the software and the associated documentation and other materials. This includes the source files and libraries that may or may not have come with the product.

. "Shareware copy" means a copy of the product obtained either electronically from bulletin boards, the internet or some other source, or on diskette from shareware resellers.

. "Registered copy" means a copy of the product purchased from JTB WORLD.

. "we" or "us" means JTB WORLD.

. "you" means the end user of the software.

2. Legal Agreement. This is a legal agreement that allows you, the end user, to use the product under certain terms and conditions. If you cannot agree to abide by what this agreement says you should not use or evaluate the product.

3. Evaluation Period. You may use a shareware copy of the product for an evaluation period of up to 31 days, in order to determine whether the product meets your needs before purchasing it. Some products have a different evaluation period. In that case the product documentation will specify the period you may evaluate the product. Once the evaluation period ends, you agree to either purchase a registered copy of the product, or to stop using it. If you have ordered a registered copy of the product from us, you may continue to use your shareware copy until your registered copy arrives.

4. Use of the Product. While you are evaluating the product, you may use it on as many computers as are required to perform your evaluation. Your evaluation period begins when you first install the product on one or more computers for evaluation purposes. Once the evaluation period is over and you purchase the Product, you may only use the product on one computer at a time. If you have a single license agreement the product can only be installed on one computer at a time. If you have more licenses you can have it installed on as many computers as you have purchased licenses for. For multiple system licenses please contact JTB WORLD for special pricing information.

5. No Royalties. If the product that you have purchased is a set of programming libraries for application development, you own any software programs that you create using the libraries and you may sell them without paying any royalties to JTB WORLD You may not distribute any part of the product with your software except for appropriate loadable device drivers, DLL's and data files that are required for the product to operate correctly.

APPLICATIONS USING JTB WORLD PROGRAMMING LIBRARIES MAY NOT BE DISTRIBUTED WITHOUT REGISTERING THE PRODUCT. THIS INCLUDES BETA VERSIONS RELEASED TO PARTIES OTHER THAN THE ACTIVE SOFTWARE DEVELOPMENT TEAM. BETA TESTERS ARE NOT CONSIDERED PART OF THE ACTIVE DEVELOPMENT TEAM.

6. Distributing Shareware Copies of the Product. You may make copies of your shareware copy of the product to give to others, as long as you include all of the files that you originally received with your shareware copy. You may not sell shareware copies of the product for a profit (shareware distribution companies may charge their normal shipping and handling fees, not to exceed $5 US per copy).

7. Copying Registered Copies of the Product. When you receive a registered copy of the product you may make copies of the Product which are necessary for normal backup purposes only. You agree not to make any other copies of the software, the manual(s), or any part of them, or sell or give any copies to others without prior written permission from JTB WORLD.

8. Legal disclaimers required in a non-ideal world:

THIS SOFTWARE IS PROVIDED "as is" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PRODUCT IS WITH YOU. SHOULD THE PRODUCT PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

IN NO EVENT WILL JTB WORLD, OR ANY OTHER PARTY WHO MAY HAVE REDISTRIBUTED THE PRODUCT AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PRODUCT (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PRODUCT TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.


Revision history

Make sure you have the latest version. Always available at www.jtbworld.com

If you would like to be a beta tester of future versions of SmartPurger contact JTB WORLD:

2008-02-02 - SmartPurger 2.8.0
Support for AutoCAD 2010 and Windows 7 as well as better support for Windows Vista
2007-09-17 - SmartPurger 2.7.0
Added support to close more popups.
2007-07-29 - SmartPurger 2.6.0
Thanks to James Maeding for ASDKCleanRegAppARX.arx can be used to more effectively purge registered applications.
2007-06-19 - SmartPurger 2.5.0
Fixed some problems that made SmartPurger not work for AutoCAD LT 2007 and AutoCAD LT 2008.
2007-04-09 - SmartPurger 2.4.1
Support for plotting even with popups being closed. The plot progress dialog box is not closed.
2007-03-28 - SmartPurger 2.4
-Support for AutoCAD 2008 based products. Plotstyles and textSTyles are also purged when using Purge All option.
-Support for Windows Vista
2006-03-21 - SmartPurger 2.3
-Support for AutoCAD 2007 based products.
2005-08- - SmartPurger 2.1
-Support for AutoCAD 2006 based products.
-Clean up DWL files if the AutoCAD processed is killed due to timeout.
-More pop ups that might halt execution are closed automatically now.
-Minor issues fixed.

2004-04- - SmartPurger 2.0
-Support for AutoCAD 2005 based products added.
-Added: For AutoCAD 2005 based products you can purge Regapps and Table styles.
-Added: Purge all named object dictionaries (Be very cautious to use this feature since DWG logic can be lost)
-Script or lisp files can be executed.
-Abitiliy to control INDEXCTL
-Abitiliy to control ISAVEPERCENT
-Abitiliy to control PROXYGRAPHICS
-Abitiliy to control RASTERPREVIEW
-QAFLAGS restored to 0
-"AutoCAD Error Report" dialogs are closed it they appears.
-Status that shows the progress when adding and deleting files.
-SmartPurgerDeletedFiles.log is created in the temp folder during deletion of files. It's a semicolon separated text file including the path and filename, the base name, the file extension and the file size in kb. The file can for example be opened in Excel.
-Import List from Log File. This can be used if you have Exported a list previously and want to use it several times. One reason could be that you had to halt a previous large batch that you later want to continue on.
-A bug has been fixed that in some situations stopped when more then 15384 files where run.
-Now when you stop a batch and AutoCAD is running you can chose to terminate it.
-Minor issues fixed.
2003-03-03 - SmartPurger 1.6.7
-Intermediate fixes to for AutoCAD 2004 based products.
2003-01-28 - SmartPurger 1.6.4
-DXF files can now be batched. Some non standard formatted DXF's are not version identified but might be run anyway. The version is set to "DXF?". Until anyone wants it (just send an e-mail to info@jtbworld.com) the DXF are saved to the closest matched DWG version. Filter to include DXF files added to the Options> Settings.
-Files that have a status have to have the status resetted to be run a second time.
-Simplified installation that can be silently installed as well with the command line option /SILENT
-The installation package is minimized not including Visual Basic 6.0 SP5 Run-Time Files and HTML Help Package since most users already have it. It can be downloaded and installed separately.
2003-01-24 - SmartPurger 1.6.3
-The price has been lowered.
-Unlocked versions can be ordered based on an agreement.
-The status column shows more different statuses.
-The information during a batch is showing the drawing that is processed.
-Accumulated and total time for the batch is showed.
-The licensing is changed to make it easier for the customer.
-An option to audit the drawings have been added.
-Added: Delete all Page Setups
-Added: Delete all Filter states
-Added: Delete all Layer states
-Added: Delete all Layer manager states (Express Tools)
-Added: Delete all Line objects without length
-Added: Delete all Text objects without text
-Added: Delete all embedded VBA code
-Added: Purge all registered applications collection
-Added: Purge all Anonymous Groups
-Added: Purge all Groups
-The drawing list steps forward as the program progresses, so you can always see what drawing it is working on.
-A log file can be exported from the list of drawings with status, size, etc. Right click in the file list area...
-More validation done for Windows XP
-Minor issues fixed.

2001-12-21 - SmartPurger 1.5
-Some random read only errors that halted SmartPurger fixed.
-UNC file format supported fully.
-Improved performance.
-Improved resize function to avoid screen flickering.
-Added deletion possible of DWL, DWK lock files and PLOT.LOG files.
-Bug fixed when empty drawing files where created in some cases.
-Explorer shell context menu. Shortcut can be added for quick start from Explorer. Select the drawing files in Explorer, right click and select SmartPurger.
-Prevent multiple sessions.
-Command line argument for /nologo and one file is added.
-Added right click functionality for the drawing list view.
-Status can be set to skip selected drawings.
-File properties on right click
-It's possible to start AutoCAD from SmartPurger with right click

2001-11-21 - SmartPurger 1.4
-Shape and Font and Proxy dialog boxes are closed automatically. One reason is since FONTALT doesn't work as a solution when it comes to big fonts. Macro warning dialog boxes are also escaped from.
-Option added to be able to toggle between having SmartPurger on top or not.
-Columns added with the size and date of the file before and after.
-Information after a run of how many files where run, the total size of the files before and after.
-More information is given during the run to inform of the progress.
-Column header sizes and positions are saved to enable personal look. Can be reset with the Reset function.
-Control that it's possible to zoom. Could be in perspective view.
-It's possible to save to another location. Useful if you want to send drawings and don't want to touch the originals.

2001-11-01 - SmartPurger 1.3
-Released for downloaded from www.jtbworld.com

2001-10-11 - SmartPurger 1.2

2001-09-17 - SmartPurger 1.1

2001-08-05 - SmartPurger 1.0


License agreement

Contact

Jimmy Bergmark

JTB WORLD

E-mail: info@jtbworld.com

WWW: www.jtbworld.com

Support

The Support of SmartPurger is completely cost free and most often you will receive the help within hours even though there is no guarantee of it.

If you have any ideas, questions, comments or problems using SmartPurger, please send them to JTB WORLD, se contact info.


Known Issues

The status might show Timeout even though the file was processed. This might happen if AutoCAD finishes saving the file milliseconds before the timeout period.
Drawings that needs recovery are not processed. They will get the status timeout.
DXF files will not show a preview icon.
Some DXF files not following standard format convention will not show the version and will show "DXF?" as version.
The size is the actual file size not the size of that the file takes up on the disk.

To do list

until next time...(Contact us if it's something you would really like to be prioritized)

Filter to easy select files changed between dates or during X latest days.
Determine if the file is an ADT file and act on them in a special way.
Purge ABE, ABM and ABS definitions...
Command line option to run with project files for unattended use.
More detailed result log showing what was purged.
Clear the File and Today file history.
Option to use Wblock as a way of purging.
Open files in one session to speed up things and if AutoCAD crashes start a new session.
Handle drawings that needs recovery by using RECOVER instead of OPEN as an option.
Double check the integrity of the drawings by opening them a second time before making a final save to make sure they where not corrupted.
Explode randomly named block (e.g.A$C3EF3567F) like the one created with Pasteclip command. But only if they don't contain attributes.
Have the DWL files always deleted if possible.
Show the accumulated size continuous.
Execute multiple AutoCAD sessions on one PC or span over multiple PC's.
Removal of unused layouts.
Retain purged DXF as DXF files.
The functionality in SmartPurger to save the file to a specific version is lost if script files are used.